Subject: bug#34787: New defcustom to govern TAB completion

From: Stefan Kangas <[email-masked]>
Date: Mon, 24 Aug 2020 12:22:20 -0700

Noam Postavsky <[email-masked]> writes:

> Alex Branham <[email-masked]> writes:
>
>> On Sat 25 May 2019 at 08:37, Noam Postavsky <[email-masked]> wrote:
>>
>>> Alex Branham <[email-masked]> writes:
>>>
>>>> As a quick reminder/TLDR - the proposal is to add a defcustom that
>>>> governs whether TAB offers completion when hit the first time. The
>>>> thinking is that if point is in the middle of a word, you may not want
>>>> completion.
>>>
>>> How would it interact with the existing tab-always-indent?  Would it
>>> make sense to combine them?
>>
>> The way we have it in ESS currently is that they're two separate
>> variables. One (our version of tab-always-indent) governs whether TAB
>> offers completion and another (what I'm proposing adding to Emacs)
>> governs whether the first press of TAB should offer completion based on
>> context.
>
> Oh, I see, it only affects people who have already customized
> tab-always-indent to a non-default value (specifically, `complete').
>
> So I guess the idea is that (setq tab-always-indent 'complete) triggers
> too many accidental completions to be a reasonable setting?  I think it
> would be nicer if the option's values could be `(word paren)', `(word
> paren punct) instead of `word-or-paren', `word-or-paren-or-punct', etc.

(That was one year ago.)

Are you still working on this?

Best regards,
Stefan Kangas